it-swarm.com.de

Pakete konnten aufgrund eines Umgebungsfehlers nicht installiert werden.

Ich versuche, numpy auf moacOSX zu installieren, aber nach dem Ausführen des Befehls "pip install numpy" wird ein Fehler angezeigt

7
Sid Mehta

Das hat bei mir funktioniert.


pip3 install --user Paketname (für Python3) 

pip install --user Paketname (für Python2)


Hoffe das hilft!!!

12
SolitaryReaper
pip install --user package-name

Scheint zu funktionieren, aber das Paket installiert den Pfad des Benutzers. sowie : 

"c:\users\***\appdata\local\temp\pip-req-tracker_akmzo\42a6c7d627641b148564ff35597ec30fd5543aa1cf6e41118b98d7a3"

Ich möchte das Paket im Python-Ordner wie c:\Python27 installieren. Ich installiere das Modul im erwarteten Ordner durch:

pip install package-name --no-cache-dir
7
Andy

Ich habe gerade den Befehl mit Sudo ausgeführt:

Sudo pip install numpy

Denken Sie daran, dass Sie nach dem Passwort des Benutzers gefragt werden. Dies wurde auf macOS High Sierra (10.13) getestet

2
Lucio Mollinedo

Auch ich hatte das gleiche Problem. Das hat bei mir funktioniert. Klicken Sie mit der rechten Maustaste und führen Sie den Befehl admin aus. Führen Sie zunächst den Befehl update aus, um den Pip zu aktualisieren

python -m pip install --upgrade pip

1
getek mer

Ich bin auch ein Windows-Benutzer. Und ich habe Python 3.7 installiert, und wenn ich versuche, ein Paket zu installieren, wird die gleiche Fehlermeldung ausgegeben, die Sie erhalten.

Probieren Sie es aus. Das hat bei mir funktioniert.

python -m pip install numpy

Und wenn Sie ein neues Paket installieren, schreiben Sie einfach python -m pip install <package_name> 

Hoffe das ist hilfreich.

0
shreyans jain

Unter Windows hat das bei mir geklappt. Geben Sie in der Befehlszeile den Pfad zur Exe für Python an: & "C:/Programme (x86) /Python37-32/python.exe" -m pip install --upgrade pip --user

0
user2867432

Nun, in meinem Fall hatte das Problem eine andere Ursache, die Windows-Pfadlänge Überprüfen Sie dies.

Ich habe eine Bibliothek auf einem virtualenv installiert, wodurch der Pfad länger wurde. Bei der Installation der Bibliothek wurden einige Dateien unter site-packages Erstellt. Dadurch wurde das Windows-Limit überschritten, wodurch dieser Fehler ausgelöst wurde.

Hoffe es hilft jemandem =)

0
Joabe Lucena

Ich hatte das gleiche Problem für ein anderes Paket. Ich habe pyinstaller in conda auf Mac Mojave installiert. Ich tat

conda create --name ai37 python=3.7
conda activate ai37

Ich habe den genannten Fehler erhalten, als ich versucht habe, pyinstaller mit zu installieren

pip install pyinstaller

Ich konnte den Pyinstaller mit dem folgenden Befehl installieren

conda install -c conda-forge pyinstaller 
0